%define major   0
%define libname %mklibname yuv %{major}
%define devname %mklibname yuv -d

%global git_commit 96bbdb53ed6b5bdf2e940f6068016a78afcc7852
%global git_date   20240704

Name:		libyuv
Summary:	YUV conversion and scaling functionality library
Version:	0
Release:	%mkrel -c git%{git_date} 1
License:	BSD-3-Clause
Group:		System/Libraries
Url:		https://chromium.googlesource.com/libyuv/libyuv
Source0:	%{url}/+archive/%{git_commit}.tar.gz
# Fedora-specific. Upstream isn't interested in these patches.
Patch1:		libyuv-0001-Move-Linux-variables-to-the-top.patch
Patch2:		libyuv-0002-Use-a-proper-so-version.patch
Patch3:		libyuv-0003-Link-against-shared-library.patch
Patch4:		libyuv-0004-Disable-static-library.patch
Patch5:		libyuv-0005-Use-library-suffix-during-installation.patch
Patch6:		libyuv-0006-Link-against-math-library-for-roundf.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(libjpeg)


%description
This is an open source project that includes YUV conversion and scaling
functionality. Converts all webcam formats to YUV (I420). Convert YUV to
formats for rendering/effects. Rotate by 90 degrees to adjust for mobile
devices in portrait mode. Scale YUV to prepare content for compression,
with point, bilinear or box filter.


%package -n %{libname}
Summary:	YUV conversion and scaling functionality library
Group:		System/Libraries

%description -n %{libname}
This is an open source project that includes YUV conversion and scaling
functionality. Converts all webcam formats to YUV (I420). Convert YUV to
formats for rendering/effects. Rotate by 90 degrees to adjust for mobile
devices in portrait mode. Scale YUV to prepare content for compression,
with point, bilinear or box filter.


%package -n %{devname}
Summary:	The development files for %{name}
Group:		Development/C++
Requires:	%{libname}%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Additional header files for development with %{name}.


%prep
%autosetup -p1 -c %{name}-%{version}

cat > %{name}.pc << EOF
prefix=%{_prefix}
exec_prefix=${prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: %{summary}
Version: %{version}
Libs: -lyuv
EOF


%build
%cmake -DUNIT_TEST=TRUE
%cmake_build


%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp -a %{name}.pc %{buildroot}%{_libdir}/pkgconfig/

# FIXME
rm -f %{buildroot}%{_bindir}/yuvconvert


%check
# FIXME fails again on s390 - we should use CTest via %%{ctest} macro
# ./libyuv_unittest || true


%files -n %{libname}
%license LICENSE
%doc AUTHORS PATENTS README.md
%{_libdir}/%{name}.so.%{major}{,.*}


%files -n %{devname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon May 26 2025 daviddavid <daviddavid> 0-0.git20240704.1.mga10
+ Revision: 2186605
- initial package libyuv

